List Conversations

Returns a list of conversations that belong to the user.

GET /v1/conversations

Request Body

Les paramètres suivants peuvent être inclus dans le corps de la requête :

Paramètres

agent_id
string

Filter conversations by agent ID.

limit
integer
Default Value: 20

A limit on the number of objects to be returned.

Successful Response

Les champs suivants sont retournés dans une réponse réussie :

Champs de réponse

object
string
Required

The object type, which is always "list".

data
array<Conversation>
Required

The list of conversations.

Examples

Exemples de code pour utiliser cet endpoint :

typescript
import { AlphaEdge } from '@alphaedge/alphaedge';

const alphaedge = new AlphaEdge({
  apiKey: process.env.ALPHAEDGE_API_KEY,
});

const conversations = await alphaedge.conversations.list();
python
from alphaedge import AlphaEdge

alphaedge = AlphaEdge(api_key="your-api-key")

conversations = alphaedge.conversations.list()
curl
curl https://api.alphaedge-ai.com/v1/conversations \
  -H "Authorization: Bearer $ALPHAEDGE_API_KEY"

Response

Exemple de réponse de l'API :

json
{
  "object": "list",
  "data": [
    {
      "id": "conv-abc123",
      "object": "conversation",
      "created": 1234567890,
      "agent_id": "agent-abc123"
    }
  ]
}